%define debug_package %{nil}

Name:		libagdb
Version:	20181101
Release:	1
Summary:	Library to access the Windows SuperFetch database (AGDB) file format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libagdb/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libagdb is a 	library to access the Windows SuperFetch database (AGDB) file format

%package devel
Summary: Header files and libraries for developing applications for libagdb
Group: Development/Libraries
Requires: libagdb = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libagdb.

%package tools
Summary: Several tools for accessing Windows SuperFetch database (AGDB) files
Group: Applications/System
Requires: libagdb = %{version}-%{release}

%description tools
Several tools for accessing Windows SuperFetch database (AGDB) files

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libagdb.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/agdbinfo
%{_mandir}/man1/*

%changelog
* Thu Nov  2 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101.

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170710-1
- Auto-generated

